import java.util.StringTokenizer;

import edu.neu.ccs.*;
import edu.neu.ccs.console.*;
/**
 * A class to illustrate the implementation of the 
 * <CODE>Stringable</CODE> interface
 * @author vkp
 *
 */
public class Person implements Stringable{
  
  /** person's name */
  String name;
  
  /** person's age */
  int age;
  
  /**
   * The full constructor 
   */
  public Person(String name, int age){
    this.name = name;
    this.age = age;
  }
  
  /**
   * The default constructor
   */
  public Person(){}
  
  /** 
   * Produce a formatted <CODE>String</CODE>
   * that represents this <CODE>Person</CODE> object 
   * 
   * @return  the <CODE>String</CODE> that represents this 
   * <CODE>Person</CODE>s data
   */
  public String toStringData(){
    return "Person(" + name + "," + age + ")";
  }
  
  /** 
   * Initialize a <CODE>Person</CODE> object 
   * from a formatted <CODE>String</CODE>
   * 
   * @param s the <CODE>String</CODE> that represents one 
   * <CODE>Person</CODE>s data
   */
  public void fromStringData(String s){
    StringTokenizer st = new StringTokenizer(s, ",()");
    String q = st.nextToken();
    name = st.nextToken();
    age = Integer.valueOf(st.nextToken());
  }
}